package org.distributed;

public enum Tag {
    // Server
    SERVER("bootstrap.servers"),
    SERVER_URL("localhost:9092"),
    // deserialiser
    DESERIALISER_KEY("key.deserializer"),
    DESERIALISER_VAL("value.deserializer"),
    DESERIALISER("org.apache.kafka.common.serialization.StringDeserializer"),
    // serialiser
    SERIALISER_KEY("key.serializer"),
    SERIALISER_VAL("value.serializer"),
    SERIALISER("org.apache.kafka.common.serialization.StringSerializer"),
    // ids
    GID("group.id"),
    GROUP("consumer_GROUP"),
    // Topic
    TOPIC("nerds");

    public final String label;

    private Tag(String label) {
        this.label = label;
    }

}
